Snapservice Clusters ProtectionGroups get
Get the detailed information regarding the specified protection group.
This operation was added in vSphere API 8.0.3.0.
Returns an authorization error if you do not have all of the privileges described as follows:
- The resource
ClusterComputeResourcereferenced by the parameter cluster requiresSystem.Read.
Identifier of the cluster.
The parameter must be an identifier for the resource type: ClusterComputeResource.
Identifier of the protection group.
The parameter must be an identifier for the resource type: com.vmware.snapservice.protection_group.
Information about the specified protection group.
{
"name": "string",
"status": "string",
"target_entities": {
"vm_name_patterns": [
"string"
],
"vms": [
"string"
],
"tag_rules": [
{
"tags": [
"string"
],
"operator": "string"
}
]
},
"snapshot_policies": [
{
"name": "string",
"schedule": {
"unit": "string",
"interval": 0
},
"retention": {
"unit": "string",
"duration": 0
}
}
],
"last_snapshot_time": "string",
"oldest_snapshot_time": "string",
"vms": [
"string"
],
"snapshots": [
"string"
],
"locked": false,
"guid": "string",
"replication_policies": [
{
"cluster_pair": "string",
"recovery_point_objective": {
"unit": "string",
"duration": 0
},
"snapshot_retention": {
"short_term": {
"keep_last": 0
},
"long_term": {
"hourly": {
"retention": {
"unit": "string",
"duration": 0
}
},
"daily": {
"hour": 0,
"retention": {
"unit": "string",
"duration": 0
}
},
"weekly": {
"hour": 0,
"day_of_week": "string",
"retention": {
"unit": "string",
"duration": 0
}
},
"monthly": {
"hour": 0,
"day_of_month": 0,
"retention": {
"unit": "string",
"duration": 0
}
}
}
},
"use_replica_seed": false,
"storage_spec": {
"target_datastore": "string"
},
"target_entity_replication_spec": {
"vm_replication_specs": [
{
"vm": "string",
"config_params": {
"target_config": {
"use_replica_seed": false,
"storage_spec": {
"target_datastore": "string"
}
}
}
}
]
}
}
]
}
Name of the protection group.
This property was added in vSphere API 8.0.3.0.
Current status of the protection group.
For more information see: Snapservice ProtectionGroupStatus.
This property was added in vSphere API 8.0.3.0.
User provided target entities that must belong to the protection group.
This property was added in vSphere API 8.0.3.0.
Snapshot policies for the protection targets.
This property was added in vSphere API 8.0.3.0.
Time at which the last protection group snapshot was taken.
This property was added in vSphere API 8.0.3.0.
is missing or null if there are no snapshots taken for the protection group.
Time at which the current oldest protection group snapshot was taken.
This property was added in vSphere API 8.0.3.0.
is missing or null if there are no snapshots taken for the protection group.
List of virtual machines that belong to the protection group. This is a combined list of virtual machines from the dynamic vm name and the individual list of virtual machines specified during creation of the protection group.
This property was added in vSphere API 8.0.3.0.
When clients pass a value of this schema as a parameter, the property must contain identifiers for the resource type: VirtualMachine. When operations return a value of this schema as a response, the property will contain identifiers for the resource type: VirtualMachine.
List of snapshots taken for the protection group.
This property was added in vSphere API 8.0.3.0.
When clients pass a value of this schema as a parameter, the property must contain identifiers for the resource type: com.vmware.snapservice.protection_group.snapshot. When operations return a value of this schema as a response, the property will contain identifiers for the resource type: com.vmware.snapservice.protection_group.snapshot.
Indicates if the protection group is to be locked. A locked protection group cannot be modified or deleted by the user. All snapshots associated with the protection group will be secure and cannot be deleted. The system will automatically delete these snapshots upon expiry based on the retention period
This property was added in vSphere API 8.0.3.0.
The Global identifier of the protection group, which can be used to associate protection groups created on remote sites as part of replication configurations
This property was added in vSphere API 9.0.0.0.
This property is optional because it was added in a newer version than its parent node.
Replication configuration for the protection group specified by the user.
This property was added in vSphere API 9.0.0.0.
This property is optional because it was added in a newer version than its parent node.
If any input is invalid.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": {
"id": "string",
"params": {
"params": "Vapi Std LocalizationParam Object"
}
},
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
If the caller is not authenticated.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 7.0.0.0.
This property is optional because it was added in a newer version than its parent node.
If the caller is not authorized to perform the operation.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 9.1.0.0.
This property is optional because it was added in a newer version than its parent node.
If no cluster associated with cluster or protection group associated with pg is found in the system.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
If there is unknown internal error.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
Stack of one or more localizable messages for human error consumers.
The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.
Each subsequent message in the stack describes the "cause" of the prior message.
Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.
Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.
The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.
Some operations will not set this property when reporting errors.
Discriminator field to help API consumers identify the structure type.
For more information see: Vapi Std Errors Error Type.
This property was added in vSphere API 6.7.2.
Can be missing or null for compatibility with preceding implementations.
If the service is not available.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
curl -H 'Authorization: <value>' https://{api_host}/api/snapservice/clusters/{cluster}/protection-groups/{pg}